tigase.component.modules.impl

## Class DiscoveryModule<CTX extends Context>

- java.lang.Object
- - tigase.component.modules.AbstractModule<CTX>
  - - tigase.component.modules.impl.DiscoveryModule<CTX>

- All Implemented Interfaces:
    ContextAware, InitializingModule, Module
  Direct Known Subclasses:
    DiscoveryMonitorModule

      public class DiscoveryModule<CTX extends Context>
      extends AbstractModule<CTX>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DISCO_INFO_XMLNS`
    `static String` | `DISCO_ITEMS_XMLNS`
    `static String` | `ID`

    - ### Fields inherited from class tigase.component.modules.AbstractModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoveryModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getFeatures()` Returns XMPP features offered by module.
    `Criteria` | `getModuleCriteria()` Returns critera used by Component to select module to handle incoming stanza.
    `void` | `process(Packet packet)` Process incoming stanza.
    `protected void` | `processAdHocCommandItems(Packet packet, JID jid, String node, JID senderJID)`
    `protected void` | `processDiscoInfo(Packet packet, JID jid, String node, JID senderJID)`
    `protected void` | `processDiscoItems(Packet packet, JID jid, String node, JID senderJID)`

    - ### Methods inherited from class tigase.component.modules.AbstractModule

      `afterRegistration, beforeRegister, fireEvent, setContext, unregisterModule, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISCO_INFO_XMLNS

          public static final String DISCO_INFO_XMLNS

      See Also:
        Constant Field Values

    - #### DISCO_ITEMS_XMLNS

          public static final String DISCO_ITEMS_XMLNS

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DiscoveryModule

          public DiscoveryModule()

  - ### Method Detail

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `Module`
      Returns XMPP features offered by module. Features will be returned by Service Discovery.
      Returns:
        array of features or `null`.

    - #### getModuleCriteria

          public Criteria getModuleCriteria()

      Description copied from interface: `Module`
      Returns critera used by Component to select module to handle incoming stanza.
      Returns:
        criteria of selecting module.

    - #### process

          public void process(Packet packet)
                       throws ComponentException,
                              TigaseStringprepException

      Description copied from interface: `Module`
      Process incoming stanza.
      Parameters:
        `packet` - received `stanza`.
      Throws:
        `ComponentException` - if stanza can't be processed correctly. ComponentException is converted to error stanza and returned to stanza sender.
        `TigaseStringprepException` - if there was an error during stringprep processing.

    - #### processAdHocCommandItems

          protected void processAdHocCommandItems(Packet packet,
                                                  JID jid,
                                                  String node,
                                                  JID senderJID)
                                           throws ComponentException,
                                                  RepositoryException

      Throws:
        `ComponentException`
        `RepositoryException`

    - #### processDiscoInfo

          protected void processDiscoInfo(Packet packet,
                                          JID jid,
                                          String node,
                                          JID senderJID)
                                   throws ComponentException,
                                          RepositoryException

      Throws:
        `ComponentException`
        `RepositoryException`

    - #### processDiscoItems

          protected void processDiscoItems(Packet packet,
                                           JID jid,
                                           String node,
                                           JID senderJID)
                                    throws ComponentException,
                                           RepositoryException

      Throws:
        `ComponentException`
        `RepositoryException`

Copyright © 2022 "Tigase, Inc.". All rights reserved.